Name: console-tools
Serial: 0
Version: 0.2.3
Release: ipl33mdk

Group: Terminals
Summary: Tools for managing the Linux console (variant: LCT)
License: GPL
Url: http://lct.sf.net
# HOWTO at http://www.win.tue.nl/~aeb/linux/kbd/
Packager: Ivan Zakharyaschev <imz@altlinux.org>

ExclusiveOS: Linux

Provides: console-tools_or_kbd = %name%serial:%version-%release
Conflicts: console-tools_or_kbd < %name%serial:%version-%release
Conflicts: console-tools_or_kbd > %name%serial:%version-%release


# due to file extarctions from this pkg to other
# (console-data, console-common-scripts)
Conflicts: interactivesystem < 1:sisyphus-alt12

# FIXME: data really should really go to /usr/share/*
%define kbddatadir %_libdir/kbd

# The feature of `loadkeys --mktable' important for building kernel
# (brought by patch 32 "uni-kernel-kbd"):
%define apply_unikernel_patch 1
%if %apply_unikernel_patch
Provides: loadkeys-mktable-macros
%endif

Requires: lib%name = %serial:%version-%release

# A short list of basic useful vttools:
%define vttools_PROGS chvt deallocvt fgconsole openvt 
# + vt-is-UTF8?
# (in console-tools/vttools there are more, but they are not used a lot)
# by default, console-vt-tools pkg is packaged in kbd and disabled here:
%define package_vttools 0

# for compatibility:
Requires: console-vt-tools

Source: ftp://metalab.unc.edu/pub/Linux/system/keyboards/console-tools-%version.tar.bz2
Source3: ftp://ftp.dementia.org/pub/linux/pc2sun.pl

# This patch has got shorter without any change in the name, so 'mdk' added:
# -- aplied for sparc (ALT: we do not really care about SPARC)
Patch3: console-tools-1999.03.02mdk.sparc3.patch

# An equivalent shorter replacement for a Mdk's similar patch
# (does something related to (static) linking)
# -- not applied
Patch6: %name-0.2.3-rootpart-in-the-bud.patch


# Add /etc/sysconfig/console (without subdirs) to the search path
# -- not applied
Patch7: console-tools-searchpath.patch

# fixes a stupid error -- pablo
# -- LCT
Patch8: console-tools-0.2.3-versioncoredump.patch

# -- LCT
Patch12: console-tools-0.2.3-setkeycodes-fixargument.patch

# Thai kbds, keysysm and fonts -- pablo
Patch15: http://www.links.nectec.or.th/~thep/th-console/console-tools/console-tools-thai_ksym.patch

# similar to 46mdk's console-tools-gcc33.patch, 
# added gcc3.4 fixes, -cleanup-loadkeys.patch,
# fixes for autotools errors
Patch16: console-tools-0.2.3-alt-compilation.patch

# Make the scripts simpler
# (ALT's setsysfont differs from Mdk's, so their patch is not for us).
# -- LCT/kbd(consider later)
Patch17: console-tools-0.2.3-alt-unicode-start-stop.patch

# Mdk:
# pactch for a coredump when using compressed font files -- pablo
# -- LCT
Patch18: console-tools-0.2.3-compresscoredump.patch

# -- LCT/kbd(not ported, lazy)
Patch20: %name-0.2.3-nicedumpkeys2.patch

# Makes loadkeys work correctly on single plain lines defining a map to
# a letter, and tries to prevent such coding errors in future
# -- LCT/kbd 
Patch24: %name-0.2.3-alt-plainletter-safer.patch
Patch30: %name-0.2.3-debian23.3-ru.po.patch
# depends on libkbd_values-devel:
Patch32: %name-0.2.3-alt-uni-kernel-kbd.patch

# Debian patches:

# 35
Patch51: %name-0.2.3dbs-49-35_showkey.patch
# 55 (unicode compose) is strange -- need support in the kernel TODO!
# 70
Patch52: %name-0.2.3dbs-49-70_vcstime.patch
#90 (unicode_start/stop: test Is vt?) needs further consideration

# Fix stty 
Patch60: console-tools-0.2.3.alt-utf8-fix.patch

# due to grep, sed, xargs
BuildRequires(install): grep, sed, findutils

# Automatically added by buildreq on Tue Apr 12 2005
BuildRequires: OpenSP cvs flex gcc-c++ libkbd_values-devel libstdc++-devel sgml-tools

%description
This package contains tools for managing the Linux console
(Linux console, virtual terminals on it, keyboard, etc.)--mainly,
what they do is loading console fonts and keyboard maps.

Basic tools for controlling the vitual terminals are in console-vt-tools package.

A set of various fonts and keyboard maps is provided by console-data package.

%description -l ru_RU.KOI8-R
       Linux
(,    ,   ..),  , 
      .

      
  console-vt-tools.

      
 console-data.

%package -n console-vt-tools
Group: Terminals
Summary: Tools to control VTs (virtual terminals) on the Linux console
# Separate pkg is made to distinguish dependencies to vt-tools and other
# (for interchangebility with kbd).

# due to the same files before pkg split:
Conflicts: kbd < 0:1.12-alt1
Conflicts: console-tools < 0:0.2.3-ipl30mdk

Requires: lib%name = %serial:%version-%release

# kbd also produces a console-vt-tools pkg with its own version.
# So if you want to obsolete that one, you should make correct declarations
# here, incl. a Serial:
#Serial: 

%description -n console-vt-tools
console-vt-tools perform simple control operations on the VTs on Linux console
(like switching between them). 

It includes: %vttools_PROGS.

Usually, several VTs are used ontop of the Linux console.
These scripts are useful for writing scripts that need to control them.

%package -n lib%name
Summary: Linux console tools libraries
Group: System/Libraries

# due to the same files before pkg split:
Conflicts: console-tools < 0:0.2.3-ipl30mdk

%description -n lib%name
devel package for %name: C-headers, .so-links, additional docs and tools.

%package  -n lib%name-devel
Summary: devel for LCT libs (linux console tools)
Group: Development/C
Requires: lib%name = %serial:%version-%release
# compat:
Provides: %name-devel = %serial:%version-%release
Obsoletes: %name-devel

%description  -n lib%name-devel
devel package for %name: C-headers, .so-links, additional docs and tools.

%description  -n lib%name-devel -l ru_RU.KOI8-R
     ,  
 %name:  C,     (.so),
   .

%package  -n lib%name-devel-static
Summary: devel-static for LCT libs (linux console tools)
Group: Development/C
Requires: lib%name-devel = %serial:%version-%release
# compat:
Provides: %name-devel-static = %serial:%version-%release
Obsoletes: %name-devel-static

%description  -n lib%name-devel-static
Libraries from %name for static linking.

%description  -n lib%name-devel-static -l ru_RU.KOI8-R
    %name    (static linking).

%prep
%setup -q #-n console-tools-%CTVER

%patch16 -p1 -b .cc_cleanup

%patch20 -p1 -b .nicedump
%patch24 -p1 -b .plainletter
%patch30 -p1 -b .ru_po

# Debian:
%patch51 -p1 -b .pseudoterm
%patch52 -p1 -b .vcstime

######## Thai data from Mdk: ############
%patch15 -p1 -b .thai2

%ifarch sparc sparc64
%patch3 -p1 -b .sparc
%endif

# Patches that affect the build procedure for the tools

# Not applied since we link dynamically and move the libs into /lib/.
#patch6 -p1 -b .rootpart

#patch7 -p1 -b .searchpath

%patch8 -p1 -b .versioncore
%patch12 -p1 -b .args

%patch17 -p1 -b .unistart
%patch60 -p1 -b .stty
%patch18 -p1 -b .compresscore

%if %apply_unikernel_patch
%patch32 -p1 -b .unipriv
%endif

%build
%ifarch %ix86
#define disable_resizecons
%else
%define disable_resizecons --disable-resizecons
%endif
%add_optflags -D_GNU_SOURCE
CFLAGS="%optflags"

autoreconf --force --install --symlink --verbose

# Configuring once more: this time for real build
%configure --datadir=%kbddatadir --enable-localdatadir=%_sysconfdir/sysconfig/console %{?disable_resizecons}
%make_build

#
%install
install -d -m 0755 "$RPM_BUILD_ROOT"%prefix

%makeinstall datadir="$RPM_BUILD_ROOT"%kbddatadir

# don't give loadkeys SUID perms
chmod 755 "$RPM_BUILD_ROOT"%_bindir/loadkeys

# Gone in Mdk? Do we really need them at /?
pushd "$RPM_BUILD_ROOT"
	%__mkdir_p bin
	for foo in loadkeys consolechars unicode_start; do
	  %__mv usr/bin/"$foo" bin/ \
	  && %__ln_s ../../bin/"$foo" usr/bin/"$foo"
	done
popd #"$RPM_BUILD_ROOT"

# Relocate shared libraries from %_libdir/ to /lib/.
for f in "$RPM_BUILD_ROOT"%_libdir/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../lib/"$t" "$f"
done
%__mkdir_p "$RPM_BUILD_ROOT"/lib
mv "$RPM_BUILD_ROOT"%_libdir/*.so.* "$RPM_BUILD_ROOT"/lib/

%ifnarch %ix86
rm -f "$RPM_BUILD_ROOT"%_man8dir/resizecons.8
%endif

# it is the same file; a symlink will save some space
# XXX This doesn't work, IMHO
#ln -sf UnicodeData-2.1.8.txt $RPM_BUILD_ROOT%kbddatadir/unidata/UnicodeData-2.txt

# headers
%__install -pD -m644 include/lct/*.h %buildroot/%_includedir/lct/

%find_lang %name
echo -n > vttools.files

vttoolsPROGS=(%vttools_PROGS) # array
IFS='|' eval 'vttoolsREGEX="${vttoolsPROGS[*]}"'

# mandir
/bin/ls -1d "$RPM_BUILD_ROOT"%_mandir/man?/* |
	egrep -v "/(kbdrate|$vttoolsREGEX)" |
	sed -e "s|^$RPM_BUILD_ROOT\(.*\)$|\1*|g" >>%name.lang
/bin/ls -1d "$RPM_BUILD_ROOT"%_mandir/man?/* |
	egrep "/($vttoolsREGEX)" |
	sed -e "s|^$RPM_BUILD_ROOT\(.*\)$|\1*|g" >> vttools.files

%if ! %package_vttools
# Remove unpackaged files:
	for f in "${vttoolsPROGS[@]}"; do
		rm "$RPM_BUILD_ROOT%_bindir/$f"
		rm "$RPM_BUILD_ROOT"%_mandir/man?/"$f".*
	done
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
/lib/*.so.*

%files -f %name.lang
%doc README NEWS RELEASE BUGS TODO
%doc doc/dvorak/*.{txt,diffs,gif}
%doc BUGS TODO doc/{contrib,file-formats,README*,*.txt}

/bin/consolechars
/bin/loadkeys
/bin/unicode_start
%_bindir/charset
%_bindir/codepage
%_bindir/consolechars
%_bindir/dumpkeys
%_bindir/fix_bs_and_del
%_bindir/font2psf
%_bindir/getkeycodes
%_bindir/kbd_mode
%_bindir/loadkeys
%_bindir/loadunimap
%_bindir/mk_modmap
%_bindir/mapscrn
%_bindir/psfaddtable
%_bindir/psfgettable
%_bindir/psfstriptable

%ifarch %ix86
%_bindir/resizecons
%endif
%_bindir/saveunimap
%_bindir/screendump
%_bindir/setfont
%_bindir/setkeycodes
%_bindir/setleds
%_bindir/setmetamode
%_bindir/setvesablank
%_bindir/showcfont
%_bindir/showkey
%_bindir/splitfont
# symlink:
%_bindir/unicode_start
%_bindir/unicode_stop
%_bindir/vcstime
%_bindir/vt-is-UTF8
%_bindir/writevt

#%_mandir/man?/* already included

%if %package_vttools
%files -n console-vt-tools -f vttools.files
# FIX: vttools l10n messages are in the common kbd catalogue
%_bindir/chvt
%_bindir/deallocvt
%_bindir/fgconsole
%_bindir/openvt
%endif

%files -n lib%name-devel-static
%_libdir/*.a

%files -n lib%name-devel
%_libdir/*.so
%_includedir/lct

%changelog
* Wed Mar 01 2006 Stanislav Ievlev <inger@altlinux.org> 0:0.2.3-ipl33mdk
- fixed legion's patch

* Thu Aug 25 2005 Alexey Gladkov <legion@altlinux.ru> 0:0.2.3-ipl32mdk
- Patch60 was added to correct unicode_start/unicode_stop scripts.

* Tue Apr 12 2005 Ivan Zakharyaschev <imz@altlinux.ru> 0:0.2.3-ipl31mdk
- Buildreqs: make complete.

* Fri Apr  8 2005 Ivan Zakharyaschev <imz@altlinux.ru> 0:0.2.3-ipl30mdk
- Package split:
  + console-vt-tools subpackage (not packaged by default, use kbd variant)
    (little PROBLEM: vttools l10n messages are in the common catalogue);
  + separate lib%name pkg, lib%name-devel* renamed for naming consistency.
- Fix build process (autotools errors, detected by Rebuild Robot; 
  -alt-compilation.patch).

* Mon Apr  4 2005 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl29mdk
- interchangebility with kbd:
  + move config stuff into new console-common-scripts pkg
    (reflect by a conflict on interactivesystem pkg);
  + declare the conflict with kbd (and any other kbd/console-tools variants).

* Fri Feb 25 2005 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl28mdk
  (the changes should have no impact on the correct work of console-tools)
- spec-file:
  + change descriptions a bit (while editing kbd package);
  + clean up patches list, add notes about their relevance to kbd.
- patches:
  + make an even better -alt-plainletter patch, 
    adapt -alt-uni-kernel-kbd patch to it.

* Fri Feb  4 2005 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl27mdk
  (no user visible changes)
- fix warnings/errors gcc-3.4 reports (-alt-compile-warnings.patch).
- packaging: 
  + use long options for readability (.spec file);
  + several patches merged into one (-alt-compile-warnings.patch).

* Sat Nov 20 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl26mdk
- Moved keyboard setting code from configure_keyboard.sh
  to separate script, %_datadir/%name/configure_keyboard.
- Moved user_map activation code from console.sh
  to separate script, %_datadir/%name/vt_activate_user_map.
- Added configure_keyboard.csh and console.csh scripts,
  made after corresponding bourne shell versions.

* Tue Nov 02 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl25mdk.1
- Fixed build.

* Sun Apr 18 2004 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl25mdk
- loadkeys: support the changes from
  kernel-feat-drivers-console-unicode-1999.08.09-alt2, i.e.:
  + support 2 ("old" & "new") kernel interfaces;
  + mktable prints values using macros (required for "new" kernel compilation).

* Mon Apr  5 2004 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl24mdk
- split off console-data-1999.08.29-alt1.

* Wed Mar 10 2004 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl23mdk
- simplified unicode_{start,stop};
- changes from 0.2.3-46mdk:
  + added Uzbek cyrillic keyboard and font
  + renabled compressed fonts
  + fixed permissions of Czek files
  + small fix of Spanish keyboard
  + added Thai patches
  + Turkish keyboard and fonts fixes
  + added unicode keyboards for all keyboard maps used by drakkeyboard;
- changes from Debian 0.2.3dbs-49:
  + showkey's warning in pseudoterminals (patch 35);
  + vcstime features (patch 70)
- spec-file internals:
  + redone univga-embed.patch as a small patch + 2 appendices applied by `cat';
#  TODO: keytable.init issues: uni kmaps, compose, toggles.

* Tue Feb 2  2004 Alexander V. Nikolaev <avn@altlinux.ru> 0.2.3-ipl22mdk
- fix cp1251 keymaps generation

* Thu Jan 29 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl21mdk
- configure_keyboard.sh: use "printf %b" instead of "echo -en" (#2777).
- Moved console powersaver code from rc.sysinit to runlevel script.

* Sun Jan 25 2004 Alexander V. Nikolaev <inger@altlinux.ru> 0.2.3-ipl20mdk
- Moved big part of /etc/init.d/keytable to /sbin/setsyskeytable
- Fixed compilation by gcc 3.3
- Moved console initialization from setup package
  (/etc/profile.d/lang.sh -> /etc/profile.d/console.sh)

* Mon Jun 16 2003 Stanislav Ievlev <inger@altlinux.ru> 0.2.3-ipl19mdk
- fix buildreq

* Tue May 20 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl18mdk
- %_initdir/keytable: changed chkconfig levels to "2345 35 65".

* Fri Feb 21 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl17mdk
- Requires(triggerpostun): glibc-locales-virtual.

* Fri Feb  7 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl16mdk
- keymaps:
  + add ua-KOI8-R.kmap as an alias for ua.kmap (same as ua-KOI8-U.kmap;
    it has a KOI8-R part, too; fixes No. 0001638 at http://bugs.altlinux.ru);
  + add Esperanto keymap (eo-l3.kmap) from A.V. Lukyanov's eurorus-20021208;
- console-data-cyrillic-0.0.7: update Andrey V. Lukyanov's font data
  (eurorus-20021208: greekrus.f16 added, several ACMs);
- partitially sync with mandrake up to 0.2.3-41mdk:
  + add some more mac keymaps for those so inclined;
  + x86-64 has PC-like keyboards too;
  + put unicode_start in /bin/ because it's used by rc.sysinit (Mdk bug #518).

* Fri Nov  8 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl15mdk
- configure_keyboard.sh: fix once more, actually run in interactive shells
  (test -z instead of test -n);
- console-data-cyrillic-0.0.6: update Andrey V. Lukyanov's fonts
  (vietrus.f16 added).

* Tue Nov 05 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl14.2mdk
- configure_keyboard.sh:
  + run only for terminals;
  + don't send the terminal or tab initialization strings to the terminal.
- Fixed SMP build.

* Mon Nov 04 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl14.1mdk
- Shutup configure_keyboard.sh script.

* Sun Nov  3 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl14mdk
- Include more docs from console-data-cyrillic.

* Wed Oct 23 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl13mdk
- Update D.Yu. Bolkhovityanov's UniVGA font to the version of 2001-06-08.
- console-data-cyrillic-0.0.5:
  + add "Corwin" keymap series by Sergey A. Sukiyazov <corwin@micom.don.ru>;
  + add Eurorus and Pancyrillic fonts and cyrillic ACMs from eurorus-1.2
    by Andrey V. Lukyanov <land@long.yar.ru>
    (http://stgazeta.chat.ru/download/eurorus.tar.gz)
- Make some special keys (like console-swicthing Win-keys) active in all groups
  (e.g., in Russian) (reported by Ruslan N. Balkin <baron@dartel.ru>).
- Fixes in charmap detection code in install time scripts, refine PreReqs.
- Link loadkeys/consolechars dynamically, move the libs into /lib/.
- Clean up /etc/profile.d/configure_keyboard.sh a bit, make it use termutils
  to set the erase char.
- Include all docs in the main pkg.
- Sync with Mandrake: up to 0.2.3-35mdk:
  + added nice Turkish fonts
  + small correction on ro2 file
  + commented out the "dead_abovedot" keysyms (not supported)
  + added missing keyboards
  + add toggle-maps to make bi-mode (eg: latin/cyrillic) keyboards use the
    same toggle key as defined for X11 trough drakx/drakkeyboard
  + add sfm tables to all fonts set by DrakX
  + corrected Ctrl-C problem
  + map Apple to AltGr, shift-Apple to compose for PPC using Linux keycodes
  + additional mods for PPC using Linux keycodes
  + Add missing files
  + "big move" to Linux keycodes for PPC
  + corrected problem with Euro and CZ/SK keyboards
  + fixed several keyboard and font bugs
  + Fix setkeycodes argument.
  + Install keymaps on ia64 :(
  + Make twosuperior and shift product tilde on french keyboard.
- Cleanup changelog entries' headers (to match the standard form).

* Tue Apr 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.2.3-ipl12mdk
- Fixed indirect /usr/bin/cpp dependence (#0000848).

* Sun Apr 14 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl11mdk
- console-data-cyrillic version 0.0.4:
  + make CtrlShift switch left/right insensitive (inconvenience reported
    by many people) (resolves \#67 at bugs.altlinux.ru);
  + ruwin_alt now has really a win-layout (reported by
    Vitaly Lopatin <vitls@beshtau.ru>);
  + move "yo" in ru_* keymaps (not to hide frequently used
   "question slash") (resolves \#705 at bugs.altlinux.ru);

* Mon Feb 18 2002 AEN <aen@logic.ru> 0.2.3-ipl10mdk
- symlinks for koi8-r keyboards added

* Wed Dec 25 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl9mdk
- keytable init-script: removed stdout/stdin redirection

* Mon Dec 24 2001 Stanislav Ievlev <inger@altlinux.ru> 0.2.3-ipl8mdk
- added symlinks from ua to ua-KOI8-U etc.
- we must have one scheme for lang+charset or we have to made a lot of hacks in installer.

* Sun Sep 23 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl7mdk
- startup service keytable: fixed charset recognition mechanism.

* Sun Sep 23 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl6mdk
- separate devel-static subpkg

* Sun Sep 23 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl5mdk
- keymaps: added yet another binding for extra Win keys (more useful for
  Russian consoles than the old one; suggested by Konstantin Volkov
  <goldhead@altlinux.ru>); the old one renamed, but installed a symlink for
  compatibility.
- start-up service keytable: now binds extra Win keys by default (Menu is bound
  differently on cyrillic and non-cyrillic keyboards).
- install-time scripts reworked.
- for packagers: ua-cp1251 (ukrainian cp1251 keyboard from A. Dobrovolsky)
  moved into console-data-cyrillic tarball.

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.2.3-ipl4mdk
- ukrainian cp1251 keyboard from A. Dobrovolsky added

* Fri Dec 29 2000 Dmitry V. Levin <ldv@fandra.org> 0.2.3-ipl3mdk
- Fixed configure_keyboard.sh and keytable.init scripts.

* Mon Dec 12 2000 Ivan Z. <vanyaz@mccme.ru> 0.2.3-ipl2mdk
- the install script adds UniVGA homepage and cyrillic subpackage
  README to console-data docdir
- short READMEs added on keyencs and the convkeys script
- issue a warning at install time if the keymap set in
  /etc/sysconfig/keyboard can't be loaded

Mon Dec 11 2000 Ivan Z. <vanyaz@mccme.ru>

- ctools-cyr renamed to console-data-cyrillic; pt154.acm moved inside it, other
  things added there (documented inside the archive); this archive is
  embedded into the main console-data build tree.
- patch to fix include statements Makefile.am's in console-data
- a utility for generating keymaps from console-data-cyrillic is installed into the package
  with some data for it (keyencs)
- autoconf is run in console-data build dir since configure.in gets
  patched
- Adjusting /etc/sysconfig/keyboard on install now tries to set a keymap
  appropriate to the system charmap; issue a warning if the keymap
  can't be loaded

Sun Dec 10 2000 Ivan Z. <vanyaz@mccme.ru>

- patch to get along with a strange bug in loadkeys
  (plain keycode NN = +z, where z is any latin letter, hasn't worked)
- Russian translations of description & summary added
- Unicode VGA fonts included ("embedded")
- pt154.acm added (perhaps shouldd be included in ctools-cyr.tar)
- Unicode VGA fonts are built in a special PATH environment: not to
  depend on installed console-tools (I don't like the idea of packing
  the tools and the data at the same time)

Mon Dec 04 2000 Ivan Z. <vanyaz@mccme.ru> start 0.2.3-ipl2mdk

- builtsrc patch removed

* Sat Dec 02 2000 Ivan Z. <vanyaz@mccme.ru> 0.2.3-ipl1mdk
- re-arrange docs: on install, console-data doc moved into a subdir of the main doc
- a macro (kbddatadir) for the nasty /usr/lib/kbd, problems with
  other standard paths with leading %%_datadir eliminated (a
  portability problem still remains with the paths inside the two
  additional scripts installed by the package)
- keyboard profile and keyboard init-script setup done in a trigger on
  setup or initscripts packages respectively (still the scripts as files are
  installed into the filesystem on install of the package, not by the
  trigger)
- a trigger added to correct the incorrect work of older packages
  with chkconfig (they used to add the links exlicitly)
- small enhancements in additional scripts:
    + configure_keyboard: now it uses another dumpkeys output format to
	  auto-detect BKSP code
	+ keytable.init: more informative status msgs added

Fri Dec 01 2000 Ivan Z. <vanyaz@mccme.ru> work on 0.2.3-ipl1mdk

- docdir fixed (ugly; mandir remains)
- nice dumpkeys (small enhancements in formatting)
- fixing the list of built sources in kbdtools (they can be removed by
  make) that previously included a human-written file (hasn't been
  deleted yet due to a bug in automake)
- rootpart patch re-arranged (other files are patched now, the very
  first Makefile.am's)
- clean up thoroughly before %%build (as if I were the maintainer) in
  order to build with our tools as many things as possible (no
  pre-builts; because of the mentioned automake bug not all of them are
  really removed on that make-command)

Wed Nov 29 2000 Ivan Z. <vanyaz@mccme.ru> start 0.2.3-ipl1mdk

- merging the latest Mdk Cooker release and the RE one: in fact, everything
  that was once added to RE package was later added unchanged to the
  upstream Mdk package (ctools-cyr)
- minor changes of the Mdk spec file (macros, shorter scripts, source
  notations)
- more docs left in the main package (BUGS, TODO)
- a patch file renamed

* Wed Sep 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.3-15mdk
- Add include files to devel package.

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 0.2.3-14mdk
- remove pablo's hack for stty failing (completly removed the stty stuff until
  someone find something better)

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> 0.2.3-13mdk
- move the *.a and *.so in the -devel package

* Thu Aug 31 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-12mdk
- added various keyboards and fonts, to sync whith what is offered by DrakX

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.3-11mdk
- use /var/lock/subsys file to avoid relaunch in run level change.

* Thu Jul 27 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-10mdk
- fixed Japanese 106keys keyboard

* Fri Jul 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-9mdk
- fix Swiss romand keyboard

* Thu Jul 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-8mdk
- make sure meta_keys.inc file is included for the sparc
- use mandir macros
- added Tamil console font
- some keyboard fixes

* Tue Jun 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.3-7mdk
- fixed configure_keyboard.sh to not run in non-interactive sessions.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.3-6mdk
- Remove nasty stuff from pablo.

* Mon Jun 05 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-5mdk
- a tar file was not installed due to wrong format, fixed

* Fri May 26 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-4mdk
- fixed Swedish keyboard
- added more keyboards to be in sync with DrakX
- added cyrillic add-ons from IP-Labs

* Mon May 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-3mdk
- removed no longer needed call to setsysfont

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.3-2mdk
- fixed sparc compile.

* Wed Apr 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-1mdk
- updated to 0.2.3
- fixed some files permissions
- made the BackSpace key configuration (eg sending ^H or ^?)
  consistent accross platforms (SUN, mac and PC)
- make the three supplementary keys of PC 105 keys kbds, and the
  three keys meta(L,R) and Compose on SUNs, behave the same.
- corrected Brazilian keyboard
- updated Swedish keyboard

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-15mdk
- Add missing x86 archs

* Wed Mar 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.2-14mdk
- Oops, /usr/lib/lib* were missing... fixed

* Wed Mar 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.2-13mdk
- in %%files section only kmaps for the building target (needs improving)
- new Group: naming
- new armenian keyboards
- included the sun4 norwegian keyboard in our kbd-mdk tarball; it's easier

* Wed Mar 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.2-12mdk
- corrected the keyboard map "il-8859_8.kmap" (keyboard used in Israel),
  it was wrongly identiqual to "hebrew.kmap" (phonetical keyboard)

* Sat Jan 15 2000 Francis Galiegue <francis@mandrakesoft.com> 0.2.2-11mdk
- sparc patch fixing galore
- bzip2'ed all patches which weren't
- spec file fixes

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com> 0.2.2-10mdk
- alphaev6 adaptation (libtoolize call added)
- buildreq sgml-tools added (for sgml2html)

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com> 0.2.2-9mdk
- really hide output of loadkeys (msg4pablo: >& is csh, not sh :pp)

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.2-8mdk
- remove configure_keyboard.sh.

* Mon Jan 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- Hide outpout of loadkeys {backspace,delete}.in,
  only show the [OK] or [FAILED].
- added a cp852 encoded version of the "t" font.

######################
# An RE release (was: 5 Jan)

* Wed Jan 1 2000 AEN <aen@logic.ru>
- added fonts, screen maps & keymaps from console-tools-cyrillic-0.6b
- added russian & byelorussian kemaps from IPLabs Linux Team

######################

* Thu Dec 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- improved the BackSpace key handling
- added fonts for latin7 and latin8, and various trans and uni files

* Mon Dec 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the problem with the euro.inc file (the keysyms are locale
  dependent! the names 'currency' and 'cent' are not valid for all
  charset encodings, changed them with hexa values)
- corrected the estonian keyboard (s/asciircum/asciicircum/)

* Fri Nov 26 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed keymap.init and added a profile.d/ script to fix the BackSpace key;
  with the default being sending a "Delete", but user configurable.

* Tue Nov 23 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added my collection of keyboards (in sync with DrakX installer)
- removed ro.map and sr.map from outside (they are already on console-data)
- added my compose.* files
- replaced the keymap.init by mine (uses compose.* files and correct the
  BakcSpace key (unless asked otherwise on /etc/sysconfig/keyboard))
- removed /usr/bin/fix_bs_and_del as it is no longer need (the keymap.init
  does the proper thing)
- it is my birthday
- corrected the US intl (us-latin1) keymap to have dead keys

* Wed Sep  1 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.2.2
- bug fixes

* Thu Jun  3 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- console-tools 0.2.0, console-data 1999.04.15
- Euro support
- Support for Windoze keys
- Support for Alt+AltGr=Compose
- cleanups

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- make keytable %post handle us.map better

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- hotwire sun fonts.

* Wed Apr 14 1999 Bill Nottingham <notting@redhat.com>
- %post changes; just copy the user's configured font/map/etc.

* Wed Apr 14 1999 Matt Wilson <msw@redhat.com>
- added fonts RUSCII_*, koi8u_*, and acm koi8u2ruscii from
  Leon Kanter <leon@geon.donetsk.ua>

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- removed sh-utils from prereq.
- added sed to prereq

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- more latin2 fonts (Peter Ivanyi).

* Thu Apr  8 1999 Bill Nottingham <notting@redhat.com>
- added sh-utils to prereq.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- /etc/sysconfig/console support
- add setsysfont to init script

* Mon Mar 29 1999 Peter Ivanyi <ivanyi@internet.sk>
- more fixes.

* Thu Mar 25 1999 Peter Ivanyi <ivanyi@internet.sk>
- add ucw-fonts-1.1.tar.gz
- delete obsolete sk keymaps from console-tools-1998.08.11.add-ons.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added norwegian sun4 keymap support

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1999.03.02.

* Tue Feb 16 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0

* Wed Jan 30 1999 Alex deVries <puffin@redhat.com>
- added amiga support for Jes Sorensen

* Mon Dec 07 1998 Jakub Jelinek <jj@ultra.linux.cz>
- some keymaps were including "*.map", which has to be
  replaced by "*.kmap"

* Fri Dec 04 1998 Jakub Jelinek <jj@ultra.linux.cz>
- upgrade to console-tools, added new sun keymaps,
  new sun fonts for latin0/1 and latin2, iso15.acm
  and iso02+euro.acm.
- Print the verbose messages only if verbose was
  specified on command line.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added Euro (latin0) support from Guylhem Aznar

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- fix the name the ro and sr maps are installed under
- slovak keymaps
- ro.map and sr.map are welcomed to the club
- enable turkish again

* Mon Aug 24 1998 Cristian Gafton <gafton@redhat.com>
- KEYTABLE should not have the full patch name (%post hack)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- install keymaps on tty0 w/o using (non-installed) open(1).

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- updated to 0.96a.

* Thu Jun 11 1998 Mikael Hedin <micce@irf.se>
- specify VT0 in case we use a serial console

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- quotes permit multiple keytables in keytable.init (problem #675)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- added some extra turkish support

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixes for building on alpha
- completed buildroot usage

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 0.95

* Wed Mar 25 1998 Erik Troan <ewt@redhat.com>
- fixed /tmp exploit

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>
- added SPARC stuff (finally!), Thanks to eduardo@medusa.es for most of it.
- added buildroot
- cleaned up the file list
- moved to rev 5 because the contrib ver rel was 4

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- updated from 0.91 to 0.94
- added chkconfig support
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
# Local Variables:
# compile-command: "rpmbuild -ba --target=i586 console-tools.spec"
# End:
